# Interface NioReceiverMBean

All Known Implementing Classes:
  `NioReceiver`

public interface NioReceiverMBean
MBean interface for NIO receiver management.

## Method Summary

Modifier and Type
Method
Description
`int`
`getActiveCount()`
Returns the number of actively running tasks.
`String`
`getAddress()`
Returns the bind address.
`int`
`getAutoBind()`
Returns the auto-bind mode.
`long`
`getCompletedTaskCount()`
Returns the total number of completed tasks.
`boolean`
`getDirect()`
Returns whether direct buffers are used.
`long`
`getMaxIdleTime()`
Returns the maximum idle time.
`int`
`getMaxThreads()`
Returns the maximum number of threads.
`int`
`getMinThreads()`
Returns the minimum number of threads.
`boolean`
`getOoBInline()`
Returns whether out-of-band inline is enabled.
`int`
`getPoolSize()`
Returns the current pool size.
`int`
`getPort()`
Returns the TCP listen port.
`int`
`getRxBufSize()`
Returns the receive buffer size.
`int`
`getSecurePort()`
Returns the secure port.
`long`
`getSelectorTimeout()`
Returns the selector timeout.
`boolean`
`getSoKeepAlive()`
Returns whether SO_KEEPALIVE is enabled.
`boolean`
`getSoLingerOn()`
Returns whether SO_LINGER is enabled.
`int`
`getSoLingerTime()`
Returns the SO_LINGER timeout.
`boolean`
`getSoReuseAddress()`
Returns whether SO_REUSEADDR is enabled.
`long`
`getTaskCount()`
Returns the total number of tasks submitted.
`boolean`
`getTcpNoDelay()`
Returns whether TCP_NODELAY is enabled.
`int`
`getTimeout()`
Returns the socket timeout.
`int`
`getTxBufSize()`
Returns the transmit buffer size.
`int`
`getUdpPort()`
Returns the UDP port.
`int`
`getUdpRxBufSize()`
Returns the UDP receive buffer size.
`int`
`getUdpTxBufSize()`
Returns the UDP transmit buffer size.
`boolean`
`getUseBufferPool()`
Returns whether the buffer pool is used.
`boolean`
`isListening()`
Returns whether the receiver is currently listening.

## Method Details

### getAddress

String getAddress()
Returns the bind address.

Returns:
  the address string

### getDirect

boolean getDirect()
Returns whether direct buffers are used.

Returns:
  `true` if direct buffers are used

### getPort

int getPort()
Returns the TCP listen port.

Returns:
  the TCP port

### getAutoBind

int getAutoBind()
Returns the auto-bind mode.

Returns:
  the auto-bind mode

### getSecurePort

int getSecurePort()
Returns the secure port.

Returns:
  the secure port

### getUdpPort

int getUdpPort()
Returns the UDP port.

Returns:
  the UDP port

### getSelectorTimeout

long getSelectorTimeout()
Returns the selector timeout.

Returns:
  the selector timeout in milliseconds

### getMaxThreads

int getMaxThreads()
Returns the maximum number of threads.

Returns:
  the max thread count

### getMinThreads

int getMinThreads()
Returns the minimum number of threads.

Returns:
  the min thread count

### getMaxIdleTime

long getMaxIdleTime()
Returns the maximum idle time.

Returns:
  the max idle time in milliseconds

### getOoBInline

boolean getOoBInline()
Returns whether out-of-band inline is enabled.

Returns:
  `true` if OOB inline is enabled

### getRxBufSize

int getRxBufSize()
Returns the receive buffer size.

Returns:
  the receive buffer size in bytes

### getTxBufSize

int getTxBufSize()
Returns the transmit buffer size.

Returns:
  the transmit buffer size in bytes

### getUdpRxBufSize

int getUdpRxBufSize()
Returns the UDP receive buffer size.

Returns:
  the UDP receive buffer size in bytes

### getUdpTxBufSize

int getUdpTxBufSize()
Returns the UDP transmit buffer size.

Returns:
  the UDP transmit buffer size in bytes

### getSoKeepAlive

boolean getSoKeepAlive()
Returns whether SO_KEEPALIVE is enabled.

Returns:
  `true` if keep-alive is enabled

### getSoLingerOn

boolean getSoLingerOn()
Returns whether SO_LINGER is enabled.

Returns:
  `true` if SO_LINGER is enabled

### getSoLingerTime

int getSoLingerTime()
Returns the SO_LINGER timeout.

Returns:
  the SO_LINGER timeout in seconds

### getSoReuseAddress

boolean getSoReuseAddress()
Returns whether SO_REUSEADDR is enabled.

Returns:
  `true` if SO_REUSEADDR is enabled

### getTcpNoDelay

boolean getTcpNoDelay()
Returns whether TCP_NODELAY is enabled.

Returns:
  `true` if TCP_NODELAY is enabled

### getTimeout

int getTimeout()
Returns the socket timeout.

Returns:
  the socket timeout in milliseconds

### getUseBufferPool

boolean getUseBufferPool()
Returns whether the buffer pool is used.

Returns:
  `true` if the buffer pool is used

### isListening

boolean isListening()
Returns whether the receiver is currently listening.

Returns:
  `true` if listening

### getPoolSize

int getPoolSize()
Returns the current pool size.

Returns:
  the pool size

### getActiveCount

int getActiveCount()
Returns the number of actively running tasks.

Returns:
  the active task count

### getTaskCount

long getTaskCount()
Returns the total number of tasks submitted.

Returns:
  the total task count

### getCompletedTaskCount

long getCompletedTaskCount()
Returns the total number of completed tasks.

Returns:
  the completed task count